org.apache.cassandra.db

## Class MutationVerbHandler

- java.lang.Object
- - org.apache.cassandra.db.MutationVerbHandler

- All Implemented Interfaces:
    IVerbHandler<Mutation>

      public class MutationVerbHandler
      extends java.lang.Object
      implements IVerbHandler<Mutation>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MutationVerbHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doVerb(MessageIn<Mutation> message, int id)` This method delivers a message to the implementing class (if the implementing class was registered by a call to MessagingService.registerVerbHandlers).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MutationVerbHandler

          public MutationVerbHandler()

  - ### Method Detail

    - #### doVerb

          public void doVerb(MessageIn<Mutation> message,
                             int id)
                      throws java.io.IOException

      Description copied from interface: `IVerbHandler`
      This method delivers a message to the implementing class (if the implementing class was registered by a call to MessagingService.registerVerbHandlers). Note that the caller should not be holding any locks when calling this method because the implementation may be synchronized.
      Specified by:
        `doVerb` in interface `IVerbHandler<Mutation>`
      Parameters:
        `message` - - incoming message that needs handling.
      Throws:
        `java.io.IOException`

Copyright © 2018 The Apache Software Foundation